<!doctype html>
<html lang="de-DE">

{{> head }}

<body>
<div>
    {{> breadcrumbs }}
    <div id="ovk-content">
        <h1>Structured Query Language – SQL</h1>
        <p>
            <span class="bold">SQL (Structured Query Language)</span> ist eine Datenbanksprache, also eine
            formale Sprache, die es erlaubt, die Tabellen einer Datenbank zu erstellen, Datensätze zu
            bearbeiten, einzufügen und zu löschen und Anfragen auf dem Datenbestand auszuführen.
        </p>

        <details>
            <summary><span>Grundlagen</span></summary>
            {{> Grundlagen}}
        </details>

        <details>
            <summary><span>Datenanweisungen</span></summary>

            <details>
                <summary style="padding-top: 1em;"><span>Überblick</span></summary>
                {{> DML}}
            </details>

            <details>
                <summary><span>Aggregatfunktionen</span></summary>
                {{> Aggregatfunktionen}}
            </details>

            <details>
                <summary><span>Der natürliche Verbund</span></summary>
                {{> JOIN}}
            </details>

            <details>
                <summary><span>Veränderung des Datenbestands</span></summary>
                {{> UPDATE}}
            </details>

        </details>

        <details>
            <summary><span>Schemaanweisungen</span></summary>
            {{> DDL}}
        </details>

        <details>
            <summary><span>Zusammenfassung</span></summary>
            {{> Zusammenfassung}}
        </details>

        {{> footer }}
    </div>
</div>
</body>
